#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCB,0xBF,0x7F,0x47,0xEF,0x44,0x76,0xB7,0x61,0xCE,0x54,0x9E,
		0x75,0x91,0xBB,0x2F,0x6C,0xF5,0x41,0xB4,0x72,0x23,0x76,0x74,
		0xE6,0xF7,0x86,0x4D,0x15,0xC4,0x19,0xDF,0xE1,0x65,0xAC,0x3E,
		0x91,0x8D,0x23,0x5C,0xCB,0x46,0x1F,0xF9,0x3D,0x2D,0x33,0xC8,
		0xBE,0xEB,0x05,0x40,0xA2,0xC7,0x0A,0x9C,0xE3,0xD6,0x4B,0x13,
		0xD7,0xAE,0xC7,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
